Bug 1268230 - RH Update - the edit form doesn't change dynamically
RH Update - the edit form doesn't change dynamically
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Robin Knaur
Dave Johnson
:
Depends On: 1271288
Blocks: 1221060
  Show dependency treegraph
 
Reported: 2015-10-02 04:46 EDT by Taras Lehinevych
Modified: 2016-08-02 21:32 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:34:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Taras Lehinevych 2015-10-02 04:46:34 EDT
Description of problem:
During the editing registration, the form doesn't update dynamically when you are 
changing the registration service

Version-Release number of selected component (if applicable):
5.5.0.3

How reproducible:
Always

Steps to Reproduce:
1. Go to Configure > Configuration > Region > RH Updates
2. Setup any management service or edit the existing one
3. Try to change the registration service 

Actual results:
The form isn't updating, when you are changing the registration service

Expected results:
The form should update in regards of registration service you choose as it does on 5.5.0.1

Additional info:
No
Comment 3 Robin Knaur 2015-10-06 05:20:30 EDT
https://github.com/ManageIQ/manageiq/pull/4692
Comment 4 CFME Bot 2015-10-08 17:30:22 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d27c0fc8c7edc1787206922c12f75feaf4e9f11b

commit d27c0fc8c7edc1787206922c12f75feaf4e9f11b
Author:     Robin Knaur <rknaur@redhat.com>
AuthorDate: Tue Oct 6 10:59:02 2015 +0200
Commit:     Robin Knaur <rknaur@redhat.com>
CommitDate: Thu Oct 8 13:05:36 2015 +0200

    RH Update dynamic changes fix
    https://bugzilla.redhat.com/show_bug.cgi?id=1268230

 app/views/layouts/_auth_credentials2.haml | 26 +++++++++++++-------------
 app/views/ops/_settings_rhn_edit_tab.haml |  4 ++--
 2 files changed, 15 insertions(+), 15 deletions(-)
Comment 5 Taras Lehinevych 2015-10-22 11:24:26 EDT
Verified fixed in version 5.5.0.7
Comment 7 errata-xmlrpc 2015-12-08 08:34:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.